Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.ddm
Class DDMFactory

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.ddm.DDMFactory

    public class DDMFactory

extends Object

Constructor Summary
`DDMFactory()`

Method Summary
`static Column` | `createColumn(String columnName, int columnType)`
`static Database` | `createDatabase(String jdbcDriverName, String serverName, String databaseName, int portNumber)`
`static DatabaseConnection` | `createDatabaseConnection(Database database, String userID, String password)`
`static ForeignKey` | `createForeignKey(Table baseTable, Set<ForeignKeyColumn> keyColumns, Table referencedTable)`
`static ForeignKeyColumn` | `createForeignKeyColumn(String columnName, int columnType, String referencedColumnName)`
`static KeyColumn` | `createKeyColumn(String columnName, int columnType)`
`static OWLClassMap` | `createOWLClassMap(OWLClass owlClass, PrimaryKey primaryKey)`
`static OWLDatatypePropertyMap` | `createOWLDatatypePropertyMap(OWLProperty owlProperty, PrimaryKey primaryKey, Column valueColumn)`
`static OWLObjectPropertyMap` | `createOWLObjectPropertyMap(OWLProperty owlProperty, PrimaryKey primaryKey, ForeignKey foreignKey)`
`static PrimaryKey` | `createPrimaryKey(Table table, Set<PrimaryKeyColumn> keyColumns)`
`static PrimaryKeyColumn` | `createPrimaryKeyColumn(String columnName, int columnType)`
`static Table` | `createTable(Database database, String schemaName, String tableName)`
`static Table` | `createTable(Database database, String schemaName, String tableName, Set<Column> columns)`
`static Table` | `createTable(Database database, String schemaName, String tableName, Set<Column> columns, PrimaryKey primaryKey, Set<ForeignKey> foreignKeys)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DDMFactory

    public DDMFactory()

Method Detail

### createDatabaseConnection

    public static DatabaseConnection createDatabaseConnection(Database database,
                                                              String userID,
                                                              String password)
                                                       throws SQLException

  Throws:
    `SQLException`

### createDatabase

    public static Database createDatabase(String jdbcDriverName,
                                          String serverName,
                                          String databaseName,
                                          int portNumber)

### createTable

    public static Table createTable(Database database,
                                    String schemaName,
                                    String tableName)

### createTable

    public static Table createTable(Database database,
                                    String schemaName,
                                    String tableName,
                                    Set<Column> columns)

### createTable

    public static Table createTable(Database database,
                                    String schemaName,
                                    String tableName,
                                    Set<Column> columns,
                                    PrimaryKey primaryKey,
                                    Set<ForeignKey> foreignKeys)

### createColumn

    public static Column createColumn(String columnName,
                                      int columnType)

### createKeyColumn

    public static KeyColumn createKeyColumn(String columnName,
                                            int columnType)

### createPrimaryKeyColumn

    public static PrimaryKeyColumn createPrimaryKeyColumn(String columnName,
                                                          int columnType)

### createForeignKeyColumn

    public static ForeignKeyColumn createForeignKeyColumn(String columnName,
                                                          int columnType,
                                                          String referencedColumnName)

### createPrimaryKey

    public static PrimaryKey createPrimaryKey(Table table,
                                              Set<PrimaryKeyColumn> keyColumns)

### createForeignKey

    public static ForeignKey createForeignKey(Table baseTable,
                                              Set<ForeignKeyColumn> keyColumns,
                                              Table referencedTable)

### createOWLClassMap

    public static OWLClassMap createOWLClassMap(OWLClass owlClass,
                                                PrimaryKey primaryKey)

### createOWLObjectPropertyMap

    public static OWLObjectPropertyMap createOWLObjectPropertyMap(OWLProperty owlProperty,
                                                                  PrimaryKey primaryKey,
                                                                  ForeignKey foreignKey)

### createOWLDatatypePropertyMap

    public static OWLDatatypePropertyMap createOWLDatatypePropertyMap(OWLProperty owlProperty,
                                                                      PrimaryKey primaryKey,
                                                                      Column valueColumn)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.